Skip to main content
PUT
/
sdk
/
{environmentId}
/
waas
/
{walletId}
/
settings
Update the WAAS wallet settings for the wallet
curl --request PUT \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hasDeniedDelegatedAccess": true
}
'
import requests

url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/settings"

payload = { "hasDeniedDelegatedAccess": True }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({hasDeniedDelegatedAccess: true})
};

fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/settings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "walletId": "95b11417-f18f-457f-8804-68e361f9164f",
  "settings": {
    "hasDeniedDelegatedAccess": true,
    "shouldRefreshOnNextSignOn": true,
    "revokeOnNextSignOn": true
  }
}
{
  "error": "<string>"
}
{
  "error": "No jwt provided!"
}
{
  "error": "Access Forbidden"
}
{
  "error": "Not Found",
  "code": "not_found"
}
{
  "error": "Resources already exists for this Object",
  "payload": {
    "email": "joe@email.com",
    "embeddedWalletName": "<string>",
    "mergeConflicts": {
      "fromUser": {
        "id": "95b11417-f18f-457f-8804-68e361f9164f",
        "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
        "verifiedCredentials": [
          {
            "id": "95b11417-f18f-457f-8804-68e361f9164f",
            "signInEnabled": true,
            "address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
            "chain": "<string>",
            "refId": "95b11417-f18f-457f-8804-68e361f9164f",
            "signerRefId": "95b11417-f18f-457f-8804-68e361f9164f",
            "email": "jsmith@example.com",
            "name_service": {
              "avatar": "<string>",
              "name": "<string>"
            },
            "public_identifier": "<string>",
            "wallet_name": "<string>",
            "wallet_properties": {
              "turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
              "turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
              "turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
              "isAuthenticatorAttached": true,
              "turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
              "isSessionKeyCompatible": true
            },
            "oauth_username": "<string>",
            "oauth_display_name": "<string>",
            "oauth_account_id": "<string>",
            "phoneNumber": "9171113333",
            "phoneCountryCode": "1",
            "isoCountryCode": "US",
            "oauth_account_photos": [
              "<string>"
            ],
            "oauth_emails": [
              "<string>"
            ],
            "oauth_metadata": {},
            "previous_users": [
              "95b11417-f18f-457f-8804-68e361f9164f"
            ],
            "embedded_wallet_id": "<string>",
            "wallet_additional_addresses": [
              {
                "address": "<string>",
                "publicKey": "<string>"
              }
            ],
            "lastSelectedAt": "2023-11-07T05:31:56Z",
            "verifiedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "lastVerifiedCredentialId": "95b11417-f18f-457f-8804-68e361f9164f",
        "sessionId": "95b11417-f18f-457f-8804-68e361f9164f",
        "alias": "An example name",
        "country": "US",
        "email": "jsmith@example.com",
        "firstName": "An example name",
        "jobTitle": "An example name",
        "lastName": "An example name",
        "phoneNumber": "<string>",
        "policiesConsent": true,
        "tShirtSize": "An example name",
        "team": "An example name",
        "username": "An example name",
        "firstVisit": "2023-11-07T05:31:56Z",
        "lastVisit": "2023-11-07T05:31:56Z",
        "newUser": true,
        "metadata": {},
        "btcWallet": "<string>",
        "kdaWallet": "<string>",
        "ltcWallet": "<string>",
        "ckbWallet": "<string>",
        "kasWallet": "<string>",
        "dogeWallet": "<string>",
        "emailNotification": true,
        "discordNotification": true,
        "newsletterNotification": true,
        "lists": [
          "<string>"
        ],
        "scope": "superuser marketing operations",
        "missingFields": [
          {
            "name": "<string>",
            "required": true,
            "enabled": true,
            "unique": true,
            "verify": true,
            "validationRules": {
              "unique": true,
              "regex": "^0x",
              "validOptions": [
                {
                  "label": "small"
                },
                {
                  "label": "medium"
                },
                {
                  "label": "large"
                }
              ],
              "checkboxText": "Agree to the terms and conditions"
            },
            "label": "<string>",
            "position": 123
          }
        ]
      },
      "conflicts": [
        {
          "field": {
            "name": "<string>",
            "required": true,
            "enabled": true,
            "unique": true,
            "verify": true,
            "validationRules": {
              "unique": true,
              "regex": "^0x",
              "validOptions": [
                {
                  "label": "small"
                },
                {
                  "label": "medium"
                },
                {
                  "label": "large"
                }
              ],
              "checkboxText": "Agree to the terms and conditions"
            },
            "label": "<string>",
            "position": 123
          },
          "fromUser": {
            "userId": "95b11417-f18f-457f-8804-68e361f9164f",
            "value": "An example name"
          },
          "currentUser": {
            "userId": "95b11417-f18f-457f-8804-68e361f9164f",
            "value": "An example name"
          }
        }
      ]
    },
    "additionalMessages": [
      "<string>"
    ]
  }
}
{
  "error": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletId
string
required

UUID of the wallet

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

WAAS wallet settings to update

hasDeniedDelegatedAccess
boolean
required

Whether the user has denied delegated access

Response

Successfully updated WAAS wallet settings

walletId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

settings
object
required
Last modified on January 28, 2026